package com.ruoyi.system.service.operatingmanage;


import com.ruoyi.system.domain.operatingmanage.TPublicServiceComRecruit;

import java.util.List;

/**
 * 企业招聘
 * @author wujm<wujm@eazytec.com>
 */
public interface TPublicServiceComRecruitService {

    /**
     * 分页查询
     * @param tPublicServiceComRecruit
     * @return
     */
	List<TPublicServiceComRecruit> listTPublicServiceComRecruit(TPublicServiceComRecruit tPublicServiceComRecruit);

    /**
     * 新增
     * @param tPublicServiceComRecruit
     * @return
     */
    int saveTPublicServiceComRecruit(TPublicServiceComRecruit tPublicServiceComRecruit);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TPublicServiceComRecruit getTPublicServiceComRecruitById(Long id);

    /**
     * 修改
     * @param tPublicServiceComRecruit
     * @return
     */
    int updateTPublicServiceComRecruit(TPublicServiceComRecruit tPublicServiceComRecruit);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    int saveComRecruit(TPublicServiceComRecruit tPublicServiceComRecruit, String userName);

    int updateComRecruit(TPublicServiceComRecruit tPublicServiceComRecruit, String userName);

    TPublicServiceComRecruit getComRecruitById(Long id);
}
